Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata.jaxrpcmapping
Class JavaWsdlMappingFactory

    java.lang.Object
      org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMappingFactory

All Implemented Interfaces:
  org.jboss.xml.binding.ObjectModelFactory

public class JavaWsdlMappingFactory
extends Object
implements org.jboss.xml.binding.ObjectModelFactory

A JBossXB factory for `JavaWsdlMapping`

Since:
  14-May-2004
Author:
  Thomas.Diesler@jboss.org

Method Summary
`void` | `addChild(JavaWsdlMapping javaWsdlMapping, ExceptionMapping exceptionMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(JavaWsdlMapping javaWsdlMapping, JavaXmlTypeMapping typeMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(JavaWsdlMapping javaWsdlMapping, PackageMapping packageMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(JavaWsdlMapping javaWsdlMapping, ServiceEndpointInterfaceMapping seiMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(JavaWsdlMapping javaWsdlMapping, ServiceInterfaceMapping siMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(JavaXmlTypeMapping typeMapping, VariableMapping variableMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(MethodParamPartsMapping partsMapping, WsdlMessageMapping msgMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(ServiceEndpointInterfaceMapping seiMapping, ServiceEndpointMethodMapping seiMethodMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(ServiceEndpointMethodMapping methodMapping, MethodParamPartsMapping partsMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(ServiceEndpointMethodMapping methodMapping, WsdlReturnValueMapping returnValueMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(ServiceInterfaceMapping siMapping, PortMapping portMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`Object` | `newChild(JavaWsdlMapping javaWsdlMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(JavaXmlTypeMapping typeMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(MethodParamPartsMapping partsMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(ServiceEndpointInterfaceMapping seiMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(ServiceEndpointMethodMapping methodMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(ServiceInterfaceMapping siMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`static JavaWsdlMappingFactory` | `newInstance()` Create a new instance of a jaxrpc-mapping factory
`Object` | `newRoot(Object root, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` This method is called on the factory by the object model builder when the parsing starts.
`JavaWsdlMapping` | `parse(URL jaxrpcMappingFile)` Factory method for JavaWsdlMapping
`void` | `setValue(ExceptionMapping exceptionMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(JavaXmlTypeMapping typeMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(MethodParamPartsMapping partsMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(PackageMapping packageMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(PortMapping portMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(ServiceEndpointInterfaceMapping seiMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(ServiceEndpointMethodMapping methodMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(ServiceInterfaceMapping siMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(VariableMapping variableMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(WsdlMessageMapping msgMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(WsdlReturnValueMapping retValueMapping, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static JavaWsdlMappingFactory newInstance()

  Create a new instance of a jaxrpc-mapping factory

### parse

    public JavaWsdlMapping parse(URL jaxrpcMappingFile)
                          throws Exception

  Factory method for JavaWsdlMapping

  Throws:
    `Exception`

### newRoot

    public Object newRoot(Object root,
                          org.jboss.xml.binding.ContentNavigator navigator,
                          String namespaceURI,
                          String localName,
                          Attributes attrs)

  This method is called on the factory by the object model builder when the parsing starts.

  Specified by:
    `newRoot` in interface `org.jboss.xml.binding.ObjectModelFactory`

### newChild

    public Object newChild(JavaWsdlMapping javaWsdlMapping,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(JavaWsdlMapping javaWsdlMapping,
                         PackageMapping packageMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### addChild

    public void addChild(JavaWsdlMapping javaWsdlMapping,
                         JavaXmlTypeMapping typeMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### addChild

    public void addChild(JavaWsdlMapping javaWsdlMapping,
                         ExceptionMapping exceptionMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### addChild

    public void addChild(JavaWsdlMapping javaWsdlMapping,
                         ServiceInterfaceMapping siMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### addChild

    public void addChild(JavaWsdlMapping javaWsdlMapping,
                         ServiceEndpointInterfaceMapping seiMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### setValue

    public void setValue(PackageMapping packageMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### newChild

    public Object newChild(JavaXmlTypeMapping typeMapping,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(JavaXmlTypeMapping typeMapping,
                         VariableMapping variableMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### setValue

    public void setValue(JavaXmlTypeMapping typeMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(ExceptionMapping exceptionMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### newChild

    public Object newChild(ServiceInterfaceMapping siMapping,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(ServiceInterfaceMapping siMapping,
                         PortMapping portMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### setValue

    public void setValue(ServiceInterfaceMapping siMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### newChild

    public Object newChild(ServiceEndpointInterfaceMapping seiMapping,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(ServiceEndpointInterfaceMapping seiMapping,
                         ServiceEndpointMethodMapping seiMethodMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### setValue

    public void setValue(ServiceEndpointInterfaceMapping seiMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(VariableMapping variableMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(PortMapping portMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### newChild

    public Object newChild(ServiceEndpointMethodMapping methodMapping,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(ServiceEndpointMethodMapping methodMapping,
                         MethodParamPartsMapping partsMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### addChild

    public void addChild(ServiceEndpointMethodMapping methodMapping,
                         WsdlReturnValueMapping returnValueMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### setValue

    public void setValue(ServiceEndpointMethodMapping methodMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### newChild

    public Object newChild(MethodParamPartsMapping partsMapping,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(MethodParamPartsMapping partsMapping,
                         WsdlMessageMapping msgMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### setValue

    public void setValue(MethodParamPartsMapping partsMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(WsdlReturnValueMapping retValueMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(WsdlMessageMapping msgMapping,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.